View Issue Details

IDProjectCategoryView StatusLast Update
09777Bug reportsResponse browsingpublic2015-07-24 11:44
Reportersupernovus Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Fixed in Version2.06+ 
Summary09777: Cannot view/edit responses
DescriptionAfter upgrading from 2.05+ to 2.06+ the links to view or edit survey responses return a "Bad Request" message.
Steps To ReproduceUpgrade from 2.05+ to 2.06+ go to a survey, go to Browse Responses, attempt clicking on the View or Edit icon next to a response.
TagsNo tags attached.
Complete LimeSurvey version number (& build)150629
I will donate to the project if issue is resolvedNo
BrowserTested in Google Chrome 43.0.2357.134 and Internet Explorer 11.
Database & DB-VersionMySQL 5.6.23
Server OS (if known)Debian 7
Webserver software & version (if known)nginx 1.6.2 via PHP-FPM
PHP Version5.4.38

Activities

DenisChenu

DenisChenu

2015-07-15 23:47

developer   ~32702

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15570
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32787

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master 46dc1cd8

2015-07-15 21:47:16

DenisChenu

Details Diff
Fixed issue 09777: Bad link for view/edit responses with 'urlFormat' => 'get'
Dev: use real system
Affected Issues
09777
mod - application/controllers/admin/responses.php Diff File

Issue History

Date Modified Username Field Change
2015-07-14 22:48 supernovus New Issue
2015-07-15 23:41 DenisChenu Assigned To => DenisChenu
2015-07-15 23:41 DenisChenu Status new => assigned
2015-07-15 23:47 DenisChenu Changeset attached => LimeSurvey master 46dc1cd8
2015-07-15 23:47 DenisChenu Note Added: 32702
2015-07-15 23:47 DenisChenu Resolution open => fixed
2015-07-15 23:47 DenisChenu Status assigned => resolved
2015-07-15 23:47 DenisChenu Fixed in Version => 2.06+
2015-07-24 11:44 c_schmitz Note Added: 32787
2015-07-24 11:44 c_schmitz Status resolved => closed